METSlib 0.6

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
mets::forever Class Reference
Common components

`#include <termination-criteria.hh>`

Inheritance diagram for mets::forever:
Collaboration diagram for mets::forever:

## Public Member Functions
bool | operator() (const feasible_solution &fs)
| Alternate function that decides if we shoud terminate the search process. More...
void | reset ()
| Reset the criterion to its initial state. More...
Public Member Functions inherited from mets::termination_criteria_chain
| termination_criteria_chain (termination_criteria_chain *next=0)
| Constructor. More...
| termination_criteria_chain (const termination_criteria_chain &)
| purposely not implemented (see Effective C++)
termination_criteria_chain & | operator= (const termination_criteria_chain &)
virtual | ~termination_criteria_chain ()
| Virtual destructor.

## Additional Inherited Members
Protected Attributes inherited from mets::termination_criteria_chain
termination_criteria_chain * | next_m

## Detailed Description

The mets::forever termination criterion will never terminate the search.

This can be used in the mets::simulated_annealing to stop only when the temperature reaches 0 or in the mets::tabu_search if we want to stop for another reason (e.g. some components or observer raises an exception).

The forever termination criterion cannot be chained. When chained behaviour is undetermined.

## Member Function Documentation

bool mets::forever::operator() | ( | const feasible_solution & | fs | ) |
| inline virtual

Alternate function that decides if we shoud terminate the search process.

(chain of responsibility)

Parameters

  fs | The current working solution.

Returns
  True if we shoud terminate

Reimplemented from mets::termination_criteria_chain.

void mets::forever::reset | ( |  | ) |
| inline virtual

Reset the criterion to its initial state.

(chain of responsibility)

Reimplemented from mets::termination_criteria_chain.

The documentation for this class was generated from the following file:

- metslib/termination-criteria.hh

Return to METSlib home page